falcon-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From shweth...@apache.org
Subject git commit: FALCON-43 Add Falcon to Sonar for Analysis. Contributed by Srikanth Sundarrajan
Date Tue, 27 Aug 2013 06:26:07 GMT
Updated Branches:
  refs/heads/master 4f86c0b14 -> b96042419


FALCON-43 Add Falcon to Sonar for Analysis. Contributed by Srikanth Sundarrajan


Project: http://git-wip-us.apache.org/repos/asf/incubator-falcon/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-falcon/commit/b9604241
Tree: http://git-wip-us.apache.org/repos/asf/incubator-falcon/tree/b9604241
Diff: http://git-wip-us.apache.org/repos/asf/incubator-falcon/diff/b9604241

Branch: refs/heads/master
Commit: b9604241990bc4c507bd9a09cbeda334aeab7a26
Parents: 4f86c0b
Author: Shwetha GS <shwetha.gs@inmobi.com>
Authored: Tue Aug 27 12:00:58 2013 +0530
Committer: Shwetha GS <shwetha.gs@inmobi.com>
Committed: Tue Aug 27 12:00:58 2013 +0530

----------------------------------------------------------------------
 CHANGES.txt                      |  3 +++
 build-tools/src/bin/OOZIE-674.sh | 13 +++++++++++--
 2 files changed, 14 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-falcon/blob/b9604241/CHANGES.txt
----------------------------------------------------------------------
diff --git a/CHANGES.txt b/CHANGES.txt
index ac8b19f..00d2cd4 100755
--- a/CHANGES.txt
+++ b/CHANGES.txt
@@ -23,6 +23,9 @@ Trunk (Unreleased)
     Srikanth Sundarrajan)
 
   BUG FIXES
+    FALCON-43 Add Falcon to Sonar for Analysis. (Srikanth Sundarrajan via
+    Shwetha GS)
+
     FALCON-71 mvn jetty:run doesn't work. (Srikanth Sundarrajan via 
     Shwetha GS)
 

http://git-wip-us.apache.org/repos/asf/incubator-falcon/blob/b9604241/build-tools/src/bin/OOZIE-674.sh
----------------------------------------------------------------------
diff --git a/build-tools/src/bin/OOZIE-674.sh b/build-tools/src/bin/OOZIE-674.sh
index 09a4a69..a23a5c4 100755
--- a/build-tools/src/bin/OOZIE-674.sh
+++ b/build-tools/src/bin/OOZIE-674.sh
@@ -16,6 +16,8 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+set -e
+
 if [ -d `mvn help:effective-settings | grep localRepository | cut -d\> -f2 | cut -d\<
-f1`/org/apache/oozie/oozie-core/3.2.2 ]
 then
     echo "Oozie already setup. skipping";
@@ -25,12 +27,19 @@ fi
 mkdir -p ../target
 pushd ../target
 rm -rf oozie-3.2.0-incubating*
-curl -v "http://www.gtlib.gatech.edu/pub/apache/oozie/3.2.0-incubating/oozie-3.2.0-incubating.tar.gz"
-o oozie-3.2.0-incubating.tgz
+curl -v "http://www.apache.org/dist/oozie/3.2.0-incubating/oozie-3.2.0-incubating.tar.gz"
-o oozie-3.2.0-incubating.tgz
 tar -xzvf oozie-3.2.0-incubating.tgz
 cd oozie-3.2.0-incubating
 pwd
 patch -p0 < ../../oozie-3.2.0-incubating-el.patch
-mvn clean install -DskipTests
+if [ -z "${MAVEN_HOME}" ]
+then
+    export MVN_CMD=`which mvn`;
+else
+    export MVN_CMD=${MAVEN_HOME}/bin/mvn;
+fi
+echo "Using maven from " $MVN_CMD
+$MVN_CMD clean install -DskipTests
 rm -rf oozie-3.2.0-incubating*
 popd
 


Mime
View raw message